---
type: api
title: Update Config Store Option
description: Update existing Config Store Option.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-put-config-store-option
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-put-config-store-option
products:
  - Elastic Cloud Enterprise
---

# Update Config Store Option

## Paths

- `PUT` `/platform/configuration/store/{config_option_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `config_option_id` (string)
  Name of the Config Store Option that you would like to modify

## Description

Update existing Config Store Option.

## Query String Parameters

- `version` (string)
  If specified then checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request)

## Request Body

`application/json`

The Config Store Option definition

- `value` (string) — required
  Value of this Config Store Option

## Responses

#### `200`

Config Store Option retrieved successfully

`application/json`

- `name` (string)
  Name of this Config Store Option
- `value` (string)
  Value of this Config Store Option
- `changed` (boolean)
  Whether or not this Config Store Option has changed
##### Response Headers

- `x-cloud-resource-version` (string)
  The resource version, which is used to avoid update conflicts with concurrent operations
- `x-cloud-resource-created` (string)
  The date-time when the resource was created (ISO format relative to UTC)
- `x-cloud-resource-last-modified` (string)
  The date-time when the resource was last modified (ISO format relative to UTC)

#### `404`

There was no existing data for the given Config Store Id. (code: `platform.config.store.not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `409`

There is a version conflict. (code: `platform.config.store.version_conflict`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
PUT /platform/configuration/store/{config_option_id}
```

#### curl

```curl
curl -X PUT "/platform/configuration/store/{config_option_id}"
```

